/*******************************************************************************
 * OnlineGameInterfaceEx generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
interface OnlineGameInterfaceEx extends Interface
    abstract;

function bool JoinMatchQueue(string QueueName, string Region, OnlineGameSearch SearchSettings)
{
    //return ReturnValue;    
}

delegate OnJoinMatchQueueComplete(string QueueName, bool bSuccessful, int PlaceInQueue, int EstimatedWaitSeconds)
{
    //return;    
}

function AddOnJoinMatchQueueCompleteDelegate(delegate<OnJoinMatchQueueComplete> InDelegate)
{
    //return;    
}

function ClearOnJoinMatchQueueCompleteDelegate(delegate<OnJoinMatchQueueComplete> InDelegate)
{
    //return;    
}

function bool LeaveMatchQueue(string QueueName)
{
    //return ReturnValue;    
}

delegate OnLeaveMatchQueue(string QueueName, bool bSuccess)
{
    //return;    
}

function AddOnLeaveMatchQueueDelegate(delegate<OnLeaveMatchQueue> OnMatchLeaveQueueDelegate)
{
    //return;    
}

function ClearOnLeaveMatchQueueDelegate(delegate<OnLeaveMatchQueue> OnMatchLeaveQueueDelegate)
{
    //return;    
}

function CheckMatchQueue(string QueueName)
{
    //return;    
}

delegate OnCheckMatchQueue(string QueueName, bool bMatchReady, int PlaceInQueue, string IP, int Port, string Password)
{
    //return;    
}

function AddCheckMatchQueueDelegate(delegate<OnCheckMatchQueue> OnMatchLeaveQueueDelegate)
{
    //return;    
}

function ClearCheckMatchQueueDelegate(delegate<OnCheckMatchQueue> OnMatchLeaveQueueDelegate)
{
    //return;    
}

function bool CreatePrivateGame(name SessionName, OnlineGameSettings GameSettings, optional string PremiumMatchTokenGuid)
{
    //return ReturnValue;    
}

function bool UpdatePrivateGame(OnlineGameSettings OldGameSettings, OnlineGameSettings NewGameSettings, optional string PremiumMatchTokenGuid, optional bool bRestart)
{
    //return ReturnValue;    
}

delegate OnPrivateGameUpdated(bool bSuccess)
{
    //return;    
}

function AddPrivateGameUpdatedCompleteDelegate(delegate<OnPrivateGameUpdated> InDelegate)
{
    //return;    
}

function ClearPrivateGameUpdatedCompleteDelegate(delegate<OnPrivateGameUpdated> InDelegate)
{
    //return;    
}

function bool DeletePrivateServer(string ServerGuid)
{
    //return ReturnValue;    
}

delegate OnServerDeleted(bool bSuccess)
{
    //return;    
}

function AddOnPrivateServerDeleteCompleteDelegate(delegate<OnServerDeleted> InDelegate)
{
    //return;    
}

function ClearOnPrivateServerDeleteCompleteDelegate(delegate<OnServerDeleted> InDelegate)
{
    //return;    
}

delegate OnTransitionClientsToNewSession(const string Address, const int Port)
{
    //return;    
}

function AddOnTransitionClientsToNewSessionDelegate(delegate<OnTransitionClientsToNewSession> InDelegate)
{
    //return;    
}

function ClearOnTransitionClientsToNewSessionDelegate(delegate<OnTransitionClientsToNewSession> InDelegate)
{
    //return;    
}

function bool RequestKillServer(string Reason, bool bCloneServer)
{
    //return ReturnValue;    
}
